Get Snapshot Modification History

Lists the application artifacts that were modified after the snapshot was originally created. Identifying changed artifacts helps you create new snapshots to back up the changes.

This API retrieves information similar to that contained in the Modification History report. See Viewing Artifact Modification History in Administering Migration.

Required Roles

Service Administrator

REST Resource

POST /interop/rest/v2/migration/modificationhistory

Request

Supported Media Types: application/json

Parameter Description Required Type
snapshotName The name of a snapshot available in the environment. Yes Payload

Request Payload Example:


{
"snapshotName":"epm_test_snapshot"
}

Response

Parameter Description
applicationName The Oracle Fusion Cloud Enterprise Performance Management component to which the artifact belongs.
artifactName The name of the artifact.
artifactType The artifact type or folder.
modifiedBy The user name of the user who modified the artifact.
modifiedDate Last modified time for the artifact in YYYY-MM-DD format.
path The location of the artifact.

Successful response body example:


{
    "status": 0,
    "items": [
        {
            "applicationName": "Shared Services",
            "artifactName": "FDM Enterprise Edition",
            "artifactType": "Assigned Roles",
            "modifiedBy": "Shared Services System",
            "modifiedDate": "2025-11-17",
            "path": "/Native Directory/Assigned Roles/FDM"
        },
        {
            "applicationName": "Shared Services",
            "artifactName": "Roles",
            "artifactType": "Aggregated Roles",
            "modifiedBy": "epm_default_cloud_admin",
            "modifiedDate": "2025-11-17",
            "path": "/Native Directory"
        }
    ],
    "links": [
        {
            "href": "https://<BASE-URL>/interop/rest/v2/migration/modificationhistory",
            "action": "POST",
            "rel": "self"
        }
    ]
}